=== debian/changelog ===
ros-indigo-sql-database (0.4.9-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Matei Ciocarlie <matei.ciocarlie@gmail.com>  Wed, 23 Apr 2014 16:06:37 -0000
