=== debian/control ===
Source: ros-indigo-sql-database
Section: misc
Priority: extra
Maintainer: Matei Ciocarlie <matei.ciocarlie@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libpq-dev, libyaml-cpp-dev, pkg-config, ros-indigo-catkin, ros-indigo-roscpp
Homepage: http://ros.org/wiki/database_interface
Standards-Version: 3.9.2

Package: ros-indigo-sql-database
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpq-dev, libyaml-cpp-dev, ros-indigo-roscpp
Description: Provides an easy to use and general interface between a SQL database and object-oriented C++ code, making it easy to encapsulate the conceptual &quot;objects&quot; contained in the database as C++ classes.
